Subject: Re: [PATCH] net: phy: b53: switchdev driver for Broadcom BCM53xx switches

From: Andrew Lunn <[email-masked]>
Date: Thu, 26 Feb 2015 16:36:05 +0100

> It doesn't really answer my question as I don't see functionality I'm
> looking for in bcm_sf2. I don't see it handling (un)tagging or PVID
> anywhere. It makes me believe such features are not implemented (and
> not configurable) using bridges/dsa at all. Can you any API related to
> untagging / PVID?

The (un)tagging code is in net/dsa/tag_brcm.c This is generic code, so
you would not expect to find it in bcm_sf2. All you need to do is set

        .tag_protocol           = DSA_TAG_PROTO_BRCM,

in your dsa_switch_driver structure and the core DSA code will ensure
the packets gets the header applied/removed.

    Andrew